#ifndef _DELEGATE_H
#define _DELEGATE_H
struct delegate {
	int 	hold;		/* are we holding a copy */
	int	notify;		/* are we to notify the sender */
	char	*forward;	/* user we are to forward a copy to */
	time_t	start;		/* date the delegation starts */
	time_t	date;		/* date the delegation ends */
	long	index;		/* position in file that the message data starts */
};


int delegate __ARGS((FILE *fp, char *from, char *to));
void setup_delegate __ARGS((struct mbx *m));
void clear_delegate __ARGS((struct mbx *m));
int read_delegate __ARGS((struct delegate *del, char *to));
void display_delegation __ARGS((char *to));
void purge_delegate __ARGS((void));

#endif /* _DELEGATE_H */
